<?session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");
	include ("calendario/calendario.php");
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select nombres,nombres1,apellidos,apellidos1,fechai,smes from personal where codigo='".$cedula."' ";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$row=mysql_fetch_array($resultado);
	echo "<center><font face='verdana' color=red size=4>[Datos Iniciales]</font></center>";
	echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

	if ($_POST['grabar']==1) {
		$consultax="insert into prestacion (cedula,fechai,egreso,vacacion,smes,tipoe) values ('".$cedula."','".$_POST['fechai']."','".$_POST['egreso']."','".$_POST['vacacion']."','".$_POST['smes']."','".$_POST['tipoe']."' )";
		$resultadox = mysql_query($consulta) or die($consulta . mysql_error());
	}
	
	$consultax="select * from prestacion where cedula= '".$cedula."'";
	$resultadox = mysql_query($consultax) or die($consultax . mysql_error());
	if (mysql_num_rows($resultadox) != 0){
		$row=mysql_fetch_array($resultadox);
	}
	$fechai = $row['fechai'];
	$smes = $row['smes'];
	
	echo "<font face='verdana' size=1>";	
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'graba' value = '1'>";
	echo "<input type = 'hidden' name = 'fechai' value = '".$fechai."'>";
	echo "<input type = 'hidden' name = 'smes' value = '".$smes."'>";
	echo "<table rules=none border=1 cellpadding=2 cellspacing=0 align='center'>";
	echo "<tr bgcolor='#43bced'>";
	echo "<th align = left><font color='white'> Concepto </font></th>";
	echo "<th align = right><font color='white'> Dato </font></th>";
		echo '<tr bgcolor=white >';
		echo "<td width='200' align='1right'>Fecha Ingreso:</td>";
		echo "<td width='100'>".$fechai."</td>";
		echo '</tr>';
		echo '<tr bgcolor=white >';
		echo "<td width='200' align='1right'>Fecha Egreso:</td>";
		echo "<td align = 'left'>";
				escribe_formulario_fecha_vacio("egreso","entrada");
		echo "</td>";
		echo '</tr>';
		echo '<tr bgcolor=white >';
		echo "<td width='200' align='1right'>Sueldo Mensual:</td>";
		echo "<td width='100'>".$smes."</td>";
		echo '</tr>';
		echo '<tr bgcolor=white >';
		echo "<td width='200' align='1right'>Tipo de Egreso:</td>";
		echo "<td width='100'><select name='tipoe'>
				<option value=1 ".($row['tipoe']==1?'selected':'').">Renuncia
				<option value=2 ".($row['tipoe']==2?'selected':'').">Despido Justificado
				<option value=3 ".($row['tipoe']==3?'selected':'').">Despido Injustificado</td>";
		echo '</tr>';
		echo '<tr bgcolor=white >';
		echo "<td width='200' align='1right'>Vacaciones Vencidas:</td>";
		echo "<td width='100'><input name='vacacion' size=3 value='".$row['vacacion']."'></td>";
		echo '</tr>';
	echo '</table>';
	echo "<center><input type='submit' value='Grabar Datos' ></center>";
	echo "</form>";
	
	mysql_free_result($resultado);
	mysql_close($enlace);
?>